Update a note
curl --request PUT \
--url https://api.morphic.io/api/notes/{note_id} \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"entity_type": "<string>",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"pinned": true,
"metadata": {}
}
'import requests
url = "https://api.morphic.io/api/notes/{note_id}"
payload = {
"entity_type": "<string>",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"body": "<string>",
"pinned": True,
"metadata": {}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entity_type: '<string>',
entity_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
title: '<string>',
body: JSON.stringify('<string>'),
pinned: true,
metadata: {}
})
};
fetch('https://api.morphic.io/api/notes/{note_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"entity_type": "<string>",
"entity_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"body": "<string>",
"account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"title": "<string>",
"pinned": false,
"metadata": {},
"created_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Notes
Update a note
Update an existing note’s content.
PUT
/
api
/
notes
/
{note_id}
Update a note
Authorizations
API key (sk_xxx) from Developer Settings. No X-Account-ID needed.
Headers
Path Parameters
Body
application/json
Response
Successful Response
Entity type this note references (company, contact, deal, activity).
Primary entity identifier the note is attached to.
Minimum string length:
1Maximum string length:
255⌘I